from django.contrib import admin
from .models import *


class ParticipantProcessInline(admin.TabularInline):
    model = Participant
    extra = 1


@admin.register(Reunion)
class ReunionAdmin(admin.ModelAdmin):
    inlines = (ParticipantProcessInline,)
    list_display = ['type_reunion','titre_reunion','lieu','theme','modérateur','created_by']
    list_filter = ['type_reunion','lieu','theme']


@admin.register(ZoneReunion)
class ZoneAdmin(admin.ModelAdmin):
    list_display = ['nom_zone',]

@admin.register(PlanificationMensuel)
class PlanificationAdmin(admin.ModelAdmin):
    list_display = ['mois', 'zone', 'objectif_reunions']